## org.eclipse.datatools.sqltools.result.internal.ui.view
Class SingleWindowModeSection

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
          org.eclipse.datatools.sqltools.result.internal.ui.view.SingleWindowModeSection

Direct Known Subclasses:
  SingleWindowGridSection, SingleWindowTextSection

    public abstract class SingleWindowModeSection

extends ResultSection

Parent class of `SingleWindowTextSection` and `SingleWindowGridSection`

Author:
  Dafan Yang

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
`ResultSection.OutputThread`

Constructor Summary
`SingleWindowModeSection(org.eclipse.swt.widgets.Composite composite, IResultInstance instance, ResultsViewControl resultsViewControl)`
`SingleWindowModeSection(org.eclipse.swt.widgets.Composite composite, ResultsViewControl resultsViewControl)`

Method Summary
`org.eclipse.swt.widgets.Composite` `getControl()` Returns the outer control of this UI section
`void` `onInstanceFinished()` Does some jobs when resultInstanceFinish event occurs for the current result instance, for example, when using single window display mode, we need to display the parameters at the end
`void` `onParametersShown(java.util.List params)` Shows the parameters for the current result instance, do nothing in single window display mode, because we need to display the parameters at the end in this mode
`void` `showDetail(IResultInstance instance)` Shows the selected instance (when user clicks the history results item).

Methods inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
`getRowCount, onInstanceReseted, onNewItemAppended, showResultSet, showTab, showTab`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleWindowModeSection

    public SingleWindowModeSection(org.eclipse.swt.widgets.Composite composite,
                                   IResultInstance instance,
                                   ResultsViewControl resultsViewControl)

### SingleWindowModeSection

    public SingleWindowModeSection(org.eclipse.swt.widgets.Composite composite,
                                   ResultsViewControl resultsViewControl)

Method Detail

### showDetail

    public void showDetail(IResultInstance instance)

  Description copied from class: `ResultSection`
  Shows the selected instance (when user clicks the history results item).

  Overrides:
    `showDetail` in class `ResultSection`
  Parameters:
    `instance` - the selected result instance

### getControl

    public org.eclipse.swt.widgets.Composite getControl()

  Description copied from class: `ResultSection`
  Returns the outer control of this UI section

  Specified by:
    `getControl` in class `ResultSection`
  Returns:
    the outer composite

### onInstanceFinished

    public void onInstanceFinished()

  Description copied from class: `ResultSection`
  Does some jobs when resultInstanceFinish event occurs for the current result instance, for example, when using single window display mode, we need to display the parameters at the end

  Specified by:
    `onInstanceFinished` in class `ResultSection`

### onParametersShown

    public void onParametersShown(java.util.List params)

  Description copied from class: `ResultSection`
  Shows the parameters for the current result instance, do nothing in single window display mode, because we need to display the parameters at the end in this mode

  Specified by:
    `onParametersShown` in class `ResultSection`
  Parameters:
    `params` - the parameters